Bug 20042 - provide a way to specify options to yppasswdd
Summary: provide a way to specify options to yppasswdd
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-30 17:06 UTC by Thomas J Pinkl
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-30 17:06:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas J Pinkl 2000-10-30 17:06:20 UTC
It's very common to keep the text files that are used to generate the NIS
maps in a 
separate directory (ie. not using the standard /etc files).  On a master
NIS server, 
it will then be necessary to run yppasswdd with additional arguments that
tell it 
where to find the passwd and shadow files.

My current solution on Red Hat 7.0 is to add this to
/etc/sysconfig/network:

	YPPASSWDD_ARGS="-D /var/yp/etc"

and to modify the /etc/rc.d/init.d/yppasswd rc script to pass that env
variable, thus:

	daemon rpc.yppasswdd $YPPASSWDD_ARGS

Comment 1 Florian La Roche 2001-07-24 10:13:30 UTC
added now for the next rpm

Thanks,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.